Skip to content

List products

GET
/api/v1/commerce/products
curl --request GET \
--url https://digize.com/api/v1/commerce/products \
--header 'x-api-key: <x-api-key>'

Every product with its variants, stock and the last 30 days’ sales, the newest first.

Needs the commerce:read permission.

Done

Media typeapplication/json
object
rows
required
Array<object>
object
id
required
string
slug
required
string
name
required
string
category
required
string
type
required
string
Allowed values: physical digital subscription
status
required
string
Allowed values: active draft archived
color
required
string
Allowed values: primary accent secondary success warning info destructive
description
required
string
vendor
required
string
tags
required
Array<string>
options
required
Array<object>
object
name
required
string
<= 40 characters
values
required
Array<string>
<= 100 items
variants
required
Array<object>
object
id
required
string
sku
required
string
label
required

“12 oz · Whole bean”, or “Default” for a product with one variant.

string
options
required
Array<string>
price
required
number
cost
required
number
onHand
required

On hand at the locations that ship online orders.

number
reserved
required

Held by open checkouts for 30 minutes.

number
reorderAt
required
number
compareAtPrice
required
number | null
barcode
required
string
weight
required

In grams.

number
imageId
required
string | null
channels
required
Array<string>
Allowed values: storefront wholesale
chargeTax
required
boolean
continueSelling
required
boolean
seo
required
object
title
required
string
description
required
string
images
required
Array<object>
object
imageId
required
string
alt
required
string
thumb
required
string
url
required
string
subscription
required
Any of:
object
interval
required
string
Allowed values: week month
every
required
integer
>= 1 <= 12
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
sold
required

Units sold in the last 30 days.

number
revenue
required

Net sales in the last 30 days.

number
trend
required

Units sold per week, the last 12 weeks.

Array<number>
total
required
number

Example

{
"rows": [
{
"type": "physical",
"status": "active",
"color": "primary",
"channels": [
"storefront"
],
"subscription": {
"interval": "week"
}
}
]
}

What was sent isn’t valid (invalid).

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: invalid unauthorized forbidden not_found conflict too_large rate_limited unavailable internal
message
required
string
details
object
key
additional properties
any

Example

{
"error": {
"code": "invalid"
}
}

No key, or one that’s unknown, off or expired.

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: invalid unauthorized forbidden not_found conflict too_large rate_limited unavailable internal
message
required
string
details
object
key
additional properties
any

Example

{
"error": {
"code": "invalid"
}
}

The key doesn’t have the permission this needs.

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: invalid unauthorized forbidden not_found conflict too_large rate_limited unavailable internal
message
required
string
details
object
key
additional properties
any

Example

{
"error": {
"code": "invalid"
}
}

Nothing has that id (not_found).

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: invalid unauthorized forbidden not_found conflict too_large rate_limited unavailable internal
message
required
string
details
object
key
additional properties
any

Example

{
"error": {
"code": "invalid"
}
}

Over the rate limit; see retry-after.

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: invalid unauthorized forbidden not_found conflict too_large rate_limited unavailable internal
message
required
string
details
object
key
additional properties
any

Example

{
"error": {
"code": "invalid"
}
}